# Class HandledContributionItem

java.lang.Object
org.eclipse.jface.action.ContributionItem
org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionItem
org.eclipse.e4.ui.workbench.renderers.swt.HandledContributionItem

All Implemented Interfaces:
  `IContributionItem`

public class HandledContributionItem extends AbstractContributionItem

## Field Summary

### Fields inherited from class AbstractContributionItem

`contributionFactory, DISABLED_URI, DISPOSABLE, FORCE_TEXT, helpService, ICON_URI, localResourceManager, logger, menuItemListener, menuListener, widget`

## Constructor Summary

Constructors
Constructor
Description
`HandledContributionItem()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`canExecuteItem(Event trigger)`
`void`
`dispose()`
The default implementation of this `IContributionItem` method does nothing.
`protected void`
`executeItem(Event trigger)`
`MHandledItem`
`getModel()`
`protected void`
`handleHelpRequest()`
`protected void`
`handleWidgetDispose(Event event)`
`protected void`
`postMenuFill()`
This method is intended to perform actions additionally to the common actions in `AbstractContributionItem.fill(Menu, int)`
`protected void`
`postToolbarFill()`
This method is intended to perform actions additionally to the common actions in `AbstractContributionItem.fill(ToolBar, int)`
`void`
`setModel(MHandledItem item)`
This method seems to be necessary for calls via reflection when called with MHandledItem parameter.
`void`
`setModel(MItem item)`
`protected void`
`updateMenuItem()`
`protected void`
`updateToolItem()`

### Methods inherited from class AbstractContributionItem

`disposeOldImages, dropdownEvent, fill, fill, getContext, getContextForParent, getImage, getItemListener, getMenu, getUpdater, getWidget, handleWidgetSelection, isVisible, setParent, update, update, updateIcons, updateItemEnablement, updateVisible`

### Methods inherited from class ContributionItem

`fill, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, saveWidgetState, setId, setVisible, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HandledContributionItem

public HandledContributionItem()

## Method Details

### setModel

public void setModel(MItem item)

Overrides:
  `setModel` in class `AbstractContributionItem`
Parameters:
  `item` - the model item

### setModel

public void setModel(MHandledItem item)
This method seems to be necessary for calls via reflection when called with MHandledItem parameter.

Parameters:
  `item` - The model item

### postMenuFill

protected void postMenuFill()
Description copied from class: `AbstractContributionItem`
This method is intended to perform actions additionally to the common actions in `AbstractContributionItem.fill(Menu, int)`

Overrides:
  `postMenuFill` in class `AbstractContributionItem`

### postToolbarFill

protected void postToolbarFill()
Description copied from class: `AbstractContributionItem`
This method is intended to perform actions additionally to the common actions in `AbstractContributionItem.fill(ToolBar, int)`

Overrides:
  `postToolbarFill` in class `AbstractContributionItem`

### updateMenuItem

protected void updateMenuItem()

Specified by:
  `updateMenuItem` in class `AbstractContributionItem`

### updateToolItem

protected void updateToolItem()

Specified by:
  `updateToolItem` in class `AbstractContributionItem`

### handleWidgetDispose

protected void handleWidgetDispose(Event event)

Specified by:
  `handleWidgetDispose` in class `AbstractContributionItem`

### dispose

public void dispose()
Description copied from class: `ContributionItem`
The default implementation of this `IContributionItem` method does nothing. Subclasses may override.

Specified by:
  `dispose` in interface `IContributionItem`
Overrides:
  `dispose` in class `ContributionItem`

### handleHelpRequest

protected void handleHelpRequest()

Overrides:
  `handleHelpRequest` in class `AbstractContributionItem`

### executeItem

protected void executeItem(Event trigger)

Specified by:
  `executeItem` in class `AbstractContributionItem`

### canExecuteItem

protected boolean canExecuteItem(Event trigger)

Specified by:
  `canExecuteItem` in class `AbstractContributionItem`
Returns:
  if the item can be executed

### getModel

public MHandledItem getModel()

Overrides:
  `getModel` in class `AbstractContributionItem`
Returns:
  the model